Request

Response

    Get the usage data for a specific hub
    GET

    hubs/{hubId}/usage/daily-totals

    Returns the daily usage for a hub.

    If records are present for an app that you no longer have access no, the name will be returned as “Unknown App {client_id}”.

    This endpoint will not return usage data older than December 7, 2025.

    Older records, if available, can be retrieved from the /v1 endpoint.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/applications/v2/hubs/{hubId}/usage/daily-totals
    Authentication Context
    User context required
    Required OAuth Scopes
    application:client:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    hubId
    string
    The Hub ID

    Request

    Query String Parameters

    filter[date]
    string
    A date range to query. If not specified, the last 30 days, including today, will be returned. The query should be formatted as <YYYY-MM-DD>..<YYYY-MM-DD>. The range cannot exceed 200 days.
    filter[clientId]
    string
    An application client ID to filter the results by.
    filter[featureId]
    string
    A feature ID to filter the results by.

    Response

    HTTP Status Code Summary

    200
    OK
    Successfully retrieved the daily usage for the hub.
    400
    Bad Request
    Provided date range is invalid or exceeds the maximum allowed range.
    401
    Unauthorized
    The request did not have a valid access token. Obtain a fresh access token and try again.
    403
    Forbidden
    You do not have permission to perform the operation specified by the request.
    404
    Not Found
    Specified hub does not exist.

    Response

    Body Structure (200)

    Expand all
    results
    array: object
    An array of objects where each object contains an application’s usage records.
    name
    string
    The name of the application, as registered with APS

    Max length: 80

    id
    string
    The client ID of the application.

    Max length: 200

    dailyUsage
    array: object
    An array of objects where each object contains the date and its usage records.
    date
    string
    The date of the usage record. Days begin at 00:00 UTC.
    usage
    array: object
    An array of objects where each object contains the service and the number of requests.
    featureId
    string
    The feature id of the service that was used. See /features endpoint for a list of feature ids.
    quantity
    number
    The number of units of value on this date.

    Example

    Successfully retrieved the daily usage for the hub.

    Request

    curl -v 'https://developer.api.autodesk.com/applications/v2/hubs/urn:adsk.ace:prd.hub:dc65874e-ea56-44c1-9ea7-70134720c98d/usage/daily-totals?filter[date]=2020-01-01..2020-01-31&filter[clientId]=pWPf8f2U2rWJfPgRnj3TnUCKHASOZJpp&filter[featureId]=APSRC1' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "results": [
        {
          "name": "Internet Widgits Pty Ltd",
          "id": "pWPf8f2U2rWJfPgRnj3TnUCKHASOZJpp",
          "dailyUsage": [
            {
              "date": "2063-04-05",
              "usage": [
                {
                  "featureId": "APSRC1",
                  "quantity": 48
                }
              ]
            }
          ]
        }
      ]
    }
    
    Show More